# Copyright (c) 2004 Alan W. Mahoney. All rights reserved. 
# This program is free software.  You may modify and/or 
# distribute it under the same terms as Perl itself.  
# This copyright notice must remain attached to the file.  

$config = { 
  statedir => 'catbot_state/',
  owner    => 'Fnord7',
  logfile  => 'logs/catbot.log',
  blacklist => '^$',
  botnames => '^(petal|warehouse23|silversurfer|lawrence welk|chefbot|'
  . 'betabot|lunaechick|xenophile|buffmaster2000|moving target|'
  . 'elgan|chatbot|escrowbot|radio kol)$', # 
  botnumbers => '(98842|146057|48821|95114|86287|142302|155048|175553)',
};

# gross bot configuration
$bconfig1 = {
  site     => ['http://www.kingdomofloathing.com/',
	       'http://www2.kingdomofloathing.com/',
	       'http://www3.kingdomofloathing.com/',],
  user     => 'catbot',
  password => '',
  timeout  => 30,		# Default timeout
  timeout_login => 180,		# Timeout when logging in
  delay    => 8,		# Seconds
  process_message => \&KoLBot::Chatbot::process_message,
  heartbeat       => \&heartbeat,
  channel  => 'newbie',
  # Be nice to the logs
  agent    => "catbotkolbot/$VERSION",
  cookie_file => "catbot.cookies.txt", 
};

1;
